### Type parameters

- #### T

### Hierarchy

- ShaderInput

## Index

### Constructors

- constructor

### Properties

- channels
- height
- index
- input
- width

## Constructors

### constructor

- new ShaderInput(): ShaderInput

- - Defined in lib/openfl/display/ShaderInput.d.ts:11

  #### Returns ShaderInput

## Properties

### channels

channels: number

- Defined in lib/openfl/display/ShaderInput.d.ts:7

### height

height: number

- Defined in lib/openfl/display/ShaderInput.d.ts:8

### index

index: number

- Defined in lib/openfl/display/ShaderInput.d.ts:9

### input

input: T

- Defined in lib/openfl/display/ShaderInput.d.ts:10

### width

width: number

- Defined in lib/openfl/display/ShaderInput.d.ts:11

Generated using TypeDoc